Index: lemon/lp_skeleton.h
===================================================================
--- lemon/lp_skeleton.h	(revision 793)
+++ lemon/lp_skeleton.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -24,5 +24,5 @@
 ///\file
 ///\brief Skeleton file to implement LP/MIP solver interfaces
-///  
+///
 ///The classes in this file do nothing, but they can serve as skeletons when
 ///implementing an interface to new solvers.
@@ -30,5 +30,5 @@
 
   ///A skeleton class to implement LP/MIP solver base interface
-  
+
   ///This class does nothing, but it can serve as a skeleton when
   ///implementing an interface to new solvers.
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 839)
+++ lemon/maps.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -234,5 +234,5 @@
   /// heap types and \c UnionFind, when the used items are small
   /// integers. This map conforms to the \ref concepts::ReferenceMap
-  /// "ReferenceMap" concept. 
+  /// "ReferenceMap" concept.
   ///
   /// The simplest way of using this map is through the rangeMap()
@@ -1917,9 +1917,9 @@
   /// \c InverseMap or \c operator()(), and the values of the map can be
   /// accessed with an STL compatible forward iterator (\c ValueIt).
-  /// 
+  ///
   /// This map is intended to be used when all associated values are
   /// different (the map is actually invertable) or there are only a few
   /// items with the same value.
-  /// Otherwise consider to use \c IterableValueMap, which is more 
+  /// Otherwise consider to use \c IterableValueMap, which is more
   /// suitable and more efficient for such cases. It provides iterators
   /// to traverse the items with the same associated value, but
@@ -2003,5 +2003,5 @@
       typename Container::const_iterator it;
     };
-    
+
     /// Alias for \c ValueIt
     typedef ValueIt ValueIterator;
@@ -2062,5 +2062,5 @@
       return it != _inv_map.end() ? it->second : INVALID;
     }
-    
+
     /// \brief Returns the number of items with the given value.
     ///
@@ -2379,5 +2379,5 @@
     return RangeIdMap<GR, K>(graph);
   }
-  
+
   /// \brief Dynamic iterable \c bool map.
   ///
@@ -2639,5 +2639,5 @@
       /// \param value The value.
       ItemIt(const IterableBoolMap& map, bool value)
-        : Parent(value ? 
+        : Parent(value ?
                  (map._sep > 0 ?
                   map._array[map._sep - 1] : INVALID) :
@@ -3787,5 +3787,5 @@
     typedef typename To::Key Item;
     typedef typename ItemSetTraits<GR, Item>::ItemIt ItemIt;
-    
+
     for (ItemIt it(gr); it != INVALID; ++it) {
       to.set(it, from[it]);
@@ -3795,5 +3795,5 @@
   /// \brief Compare two graph maps.
   ///
-  /// This function compares the values of two graph maps. It returns 
+  /// This function compares the values of two graph maps. It returns
   /// \c true if the maps assign the same value for all items in the graph.
   /// The \c Key type of the maps (\c Node, \c Arc or \c Edge) must be equal
@@ -3807,5 +3807,5 @@
     typedef typename Map2::Key Item;
     typedef typename ItemSetTraits<GR, Item>::ItemIt ItemIt;
-    
+
     for (ItemIt it(gr); it != INVALID; ++it) {
       if (!(map1[it] == map2[it])) return false;
Index: lemon/matching.h
===================================================================
--- lemon/matching.h	(revision 955)
+++ lemon/matching.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -1624,5 +1624,5 @@
         (*_delta4_index)[i] = _delta4->PRE_HEAP;
       }
-      
+
       _unmatched = _node_num;
 
@@ -1679,5 +1679,5 @@
       _blossom_node_list.clear();
       _blossom_potential.clear();
-      
+
       if (_fractional == 0) {
         _fractional = new FractionalMatching(_graph, _weight, false);
@@ -1751,8 +1751,8 @@
             subblossoms[--num] = _blossom_set->find(v);
             _delta1->push(v, _fractional->nodeValue(v));
-            v = _graph.target(_fractional->matching(v));            
+            v = _graph.target(_fractional->matching(v));
           }
-          
-          int surface = 
+
+          int surface =
             _blossom_set->join(subblossoms.begin(), subblossoms.end());
           (*_blossom_data)[surface].status = EVEN;
@@ -1761,5 +1761,5 @@
           (*_blossom_data)[surface].pot = 0;
           (*_blossom_data)[surface].offset = 0;
-          
+
           _tree_set->insert(surface);
           ++_unmatched;
@@ -1811,5 +1811,5 @@
           }
         }
-            
+
         if (!(*_node_data)[ni].heap.empty()) {
           _blossom_set->decrease(n, (*_node_data)[ni].heap.prio());
@@ -2270,5 +2270,5 @@
     int _unmatched;
 
-    typedef MaxWeightedPerfectFractionalMatching<Graph, WeightMap> 
+    typedef MaxWeightedPerfectFractionalMatching<Graph, WeightMap>
     FractionalMatching;
     FractionalMatching *_fractional;
@@ -3096,5 +3096,5 @@
       _blossom_node_list.clear();
       _blossom_potential.clear();
-      
+
       if (_fractional == 0) {
         _fractional = new FractionalMatching(_graph, _weight, false);
@@ -3162,8 +3162,8 @@
           while (n != v) {
             subblossoms[--num] = _blossom_set->find(v);
-            v = _graph.target(_fractional->matching(v));            
+            v = _graph.target(_fractional->matching(v));
           }
-          
-          int surface = 
+
+          int surface =
             _blossom_set->join(subblossoms.begin(), subblossoms.end());
           (*_blossom_data)[surface].status = EVEN;
@@ -3172,5 +3172,5 @@
           (*_blossom_data)[surface].pot = 0;
           (*_blossom_data)[surface].offset = 0;
-          
+
           _tree_set->insert(surface);
           ++_unmatched;
@@ -3222,5 +3222,5 @@
           }
         }
-            
+
         if (!(*_node_data)[ni].heap.empty()) {
           _blossom_set->decrease(n, (*_node_data)[ni].heap.prio());
Index: lemon/math.h
===================================================================
--- lemon/math.h	(revision 558)
+++ lemon/math.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -57,5 +57,5 @@
 
   ///Check whether the parameter is NaN or not
-  
+
   ///This function checks whether the parameter is NaN or not.
   ///Is should be equivalent with std::isnan(), but it is not
Index: lemon/min_cost_arborescence.h
===================================================================
--- lemon/min_cost_arborescence.h	(revision 891)
+++ lemon/min_cost_arborescence.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -129,6 +129,6 @@
   public:
 
-    /// \brief The \ref MinCostArborescenceDefaultTraits "traits class" 
-    /// of the algorithm. 
+    /// \brief The \ref MinCostArborescenceDefaultTraits "traits class"
+    /// of the algorithm.
     typedef TR Traits;
     /// The type of the underlying digraph.
@@ -437,5 +437,5 @@
     /// \ref named-templ-param "Named parameter" for setting
     /// \c PredMap type.
-    /// It must meet the \ref concepts::WriteMap "WriteMap" concept, 
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept,
     /// and its value type must be the \c Arc type of the digraph.
     template <class T>
Index: lemon/network_simplex.h
===================================================================
--- lemon/network_simplex.h	(revision 936)
+++ lemon/network_simplex.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -98,5 +98,5 @@
       UNBOUNDED
     };
-    
+
     /// \brief Constants for selecting the type of the supply constraints.
     ///
@@ -116,5 +116,5 @@
       LEQ
     };
-    
+
     /// \brief Constants for selecting the pivot rule.
     ///
@@ -159,5 +159,5 @@
       ALTERING_LIST
     };
-    
+
   private:
 
@@ -228,9 +228,9 @@
     int stem, par_stem, new_stem;
     Value delta;
-    
+
     const Value MAX;
 
   public:
-  
+
     /// \brief Constant for infinite upper bounds (capacities).
     ///
@@ -499,6 +499,6 @@
         }
         if (_curr_length == 0) return false;
-      
-      search_end:        
+
+      search_end:
         _minor_count = 1;
         _next_arc = e;
@@ -609,5 +609,5 @@
         }
         if (_curr_length == 0) return false;
-        
+
       search_end:
 
@@ -635,5 +635,5 @@
     /// \param graph The digraph the algorithm runs on.
     /// \param arc_mixing Indicate if the arcs have to be stored in a
-    /// mixed order in the internal data structure. 
+    /// mixed order in the internal data structure.
     /// In special cases, it could lead to better overall performance,
     /// but it is usually slower. Therefore it is disabled by default.
@@ -650,5 +650,5 @@
       LEMON_ASSERT(std::numeric_limits<Cost>::is_signed,
         "The cost type of NetworkSimplex must be signed");
-        
+
       // Reset data structures
       reset();
@@ -764,5 +764,5 @@
       return *this;
     }
-    
+
     /// \brief Set the type of the supply constraints.
     ///
@@ -790,5 +790,5 @@
     /// This function runs the algorithm.
     /// The paramters can be specified using functions \ref lowerMap(),
-    /// \ref upperMap(), \ref costMap(), \ref supplyMap(), \ref stSupply(), 
+    /// \ref upperMap(), \ref costMap(), \ref supplyMap(), \ref stSupply(),
     /// \ref supplyType().
     /// For example,
@@ -945,10 +945,10 @@
         }
       }
-      
+
       // Reset parameters
       resetParams();
       return *this;
     }
-    
+
     /// @}
 
@@ -1090,5 +1090,5 @@
         _state[i] = STATE_LOWER;
       }
-      
+
       // Set data for the artificial root node
       _root = _node_num;
@@ -1264,5 +1264,5 @@
       for (int u = second; u != join; u = _parent[u]) {
         e = _pred[u];
-        d = _forward[u] ? 
+        d = _forward[u] ?
           (_cap[e] >= MAX ? INF : _cap[e] - _flow[e]) : _flow[e];
         if (d <= delta) {
@@ -1568,5 +1568,5 @@
         }
       }
-      
+
       // Check feasibility
       for (int e = _search_arc_num; e != _all_arc_num; ++e) {
@@ -1585,5 +1585,5 @@
         }
       }
-      
+
       // Shift potentials to meet the requirements of the GEQ/LEQ type
       // optimality conditions
Index: lemon/path.h
===================================================================
--- lemon/path.h	(revision 868)
+++ lemon/path.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -967,5 +967,5 @@
     };
 
-    
+
     template <typename From, typename To,
               bool revEnable = RevPathTagIndicator<From>::value>
@@ -973,5 +973,5 @@
       static void copy(const From& from, To& to) {
         PathCopySelectorForward<From, To>::copy(from, to);
-      }      
+      }
     };
 
@@ -980,5 +980,5 @@
       static void copy(const From& from, To& to) {
         PathCopySelectorBackward<From, To>::copy(from, to);
-      }      
+      }
     };
 
Index: lemon/planarity.h
===================================================================
--- lemon/planarity.h	(revision 896)
+++ lemon/planarity.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -141,5 +141,5 @@
     class PlanarityChecking {
     private:
-      
+
       TEMPLATE_GRAPH_TYPEDEFS(Graph);
 
@@ -147,9 +147,9 @@
 
     private:
-      
+
       typedef typename Graph::template NodeMap<Arc> PredMap;
-      
+
       typedef typename Graph::template EdgeMap<bool> TreeMap;
-      
+
       typedef typename Graph::template NodeMap<int> OrderMap;
       typedef std::vector<Node> OrderList;
@@ -222,5 +222,5 @@
 
           for (typename MergeRoots::Value::iterator it =
-                 merge_roots[node].begin(); 
+                 merge_roots[node].begin();
                it != merge_roots[node].end(); ++it) {
             int rn = *it;
@@ -433,5 +433,5 @@
 
               bool rd;
-              if (!external(xnode, rorder, child_lists, 
+              if (!external(xnode, rorder, child_lists,
                             ancestor_map, low_map)) {
                 rd = true;
Index: lemon/preflow.h
===================================================================
--- lemon/preflow.h	(revision 891)
+++ lemon/preflow.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 834)
+++ lemon/smart_graph.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -187,5 +187,5 @@
   ///\ref SmartDigraph is a simple and fast digraph implementation.
   ///It is also quite memory efficient but at the price
-  ///that it does not support node and arc deletion 
+  ///that it does not support node and arc deletion
   ///(except for the Snapshot feature).
   ///
@@ -336,5 +336,5 @@
     ///arcs from a SmartDigraph structure.
     ///
-    ///\note After a state is restored, you cannot restore a later state, 
+    ///\note After a state is restored, you cannot restore a later state,
     ///i.e. you cannot add the removed nodes and arcs again using
     ///another Snapshot instance.
@@ -615,5 +615,5 @@
   /// \ref SmartGraph is a simple and fast graph implementation.
   /// It is also quite memory efficient but at the price
-  /// that it does not support node and edge deletion 
+  /// that it does not support node and edge deletion
   /// (except for the Snapshot feature).
   ///
@@ -762,5 +762,5 @@
     ///edges from a SmartGraph structure.
     ///
-    ///\note After a state is restored, you cannot restore a later state, 
+    ///\note After a state is restored, you cannot restore a later state,
     ///i.e. you cannot add the removed nodes and edges again using
     ///another Snapshot instance.
Index: lemon/soplex.cc
===================================================================
--- lemon/soplex.cc	(revision 793)
+++ lemon/soplex.cc	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -288,5 +288,5 @@
 
     _clear_temporals();
-    
+
     _applyMessageLevel();
 
Index: lemon/soplex.h
===================================================================
--- lemon/soplex.h	(revision 793)
+++ lemon/soplex.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/static_graph.h
===================================================================
--- lemon/static_graph.h	(revision 834)
+++ lemon/static_graph.h	(revision 956)
@@ -1,7 +1,7 @@
-/* -*- C++ -*-
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
  *
- * This file is a part of LEMON, a generic C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -32,10 +32,10 @@
   public:
 
-    StaticDigraphBase() 
-      : built(false), node_num(0), arc_num(0), 
+    StaticDigraphBase()
+      : built(false), node_num(0), arc_num(0),
         node_first_out(NULL), node_first_in(NULL),
-        arc_source(NULL), arc_target(NULL), 
+        arc_source(NULL), arc_target(NULL),
         arc_next_in(NULL), arc_next_out(NULL) {}
-    
+
     ~StaticDigraphBase() {
       if (built) {
@@ -63,5 +63,5 @@
 
     class Arc {
-      friend class StaticDigraphBase;      
+      friend class StaticDigraphBase;
     protected:
       int id;
@@ -84,6 +84,6 @@
     static void next(Arc& e) { --e.id; }
 
-    void firstOut(Arc& e, const Node& n) const { 
-      e.id = node_first_out[n.id] != node_first_out[n.id + 1] ? 
+    void firstOut(Arc& e, const Node& n) const {
+      e.id = node_first_out[n.id] != node_first_out[n.id + 1] ?
         node_first_out[n.id] : -1;
     }
@@ -114,9 +114,9 @@
       typedef typename Digraph::Arc Arc;
 
-      ArcLess(const Digraph &_graph, const NodeRefMap& _nodeRef) 
+      ArcLess(const Digraph &_graph, const NodeRefMap& _nodeRef)
         : digraph(_graph), nodeRef(_nodeRef) {}
-      
+
       bool operator()(const Arc& left, const Arc& right) const {
-	return nodeRef[digraph.target(left)] < nodeRef[digraph.target(right)];
+        return nodeRef[digraph.target(left)] < nodeRef[digraph.target(right)];
       }
     private:
@@ -124,9 +124,9 @@
       const NodeRefMap& nodeRef;
     };
-    
+
   public:
 
     typedef True BuildTag;
-    
+
     void clear() {
       if (built) {
@@ -142,5 +142,5 @@
       arc_num = 0;
     }
-    
+
     template <typename Digraph, typename NodeRefMap, typename ArcRefMap>
     void build(const Digraph& digraph, NodeRefMap& nodeRef, ArcRefMap& arcRef) {
@@ -184,5 +184,5 @@
             int target = nodeRef[digraph.target(*it)].id;
             arcRef[*it] = Arc(arc_index);
-            arc_source[arc_index] = source; 
+            arc_source[arc_index] = source;
             arc_target[arc_index] = target;
             arc_next_in[arc_index] = node_first_in[target];
@@ -198,5 +198,5 @@
       node_first_out[node_num] = arc_num;
     }
-    
+
     template <typename ArcListIterator>
     void build(int n, ArcListIterator first, ArcListIterator last) {
@@ -213,9 +213,9 @@
       arc_next_out = new int[arc_num];
       arc_next_in = new int[arc_num];
-      
+
       for (int i = 0; i != node_num; ++i) {
         node_first_in[i] = -1;
-      }      
-      
+      }
+
       int arc_index = 0;
       for (int i = 0; i != node_num; ++i) {
@@ -283,5 +283,5 @@
   /// Since this digraph structure is completely static, its nodes and arcs
   /// can be indexed with integers from the ranges <tt>[0..nodeNum()-1]</tt>
-  /// and <tt>[0..arcNum()-1]</tt>, respectively. 
+  /// and <tt>[0..arcNum()-1]</tt>, respectively.
   /// The index of an item is the same as its ID, it can be obtained
   /// using the corresponding \ref index() or \ref concepts::Digraph::id()
@@ -300,7 +300,7 @@
 
     typedef ExtendedStaticDigraphBase Parent;
-  
+
   public:
-  
+
     /// \brief Constructor
     ///
@@ -350,5 +350,5 @@
     /// This method also makes possible to copy a digraph to a StaticDigraph
     /// structure using \ref DigraphCopy.
-    /// 
+    ///
     /// \param digraph An existing digraph to be copied.
     /// \param nodeRef The node references will be copied into this map.
@@ -371,5 +371,5 @@
       Parent::build(digraph, nodeRef, arcRef);
     }
-  
+
     /// \brief Build the digraph from an arc list.
     ///
@@ -422,5 +422,5 @@
     using Parent::fastNextOut;
     using Parent::fastLastOut;
-    
+
   public:
 
@@ -433,6 +433,6 @@
 
       OutArcIt(const StaticDigraph& digraph, const Node& node) {
-	digraph.fastFirstOut(*this, node);
-	digraph.fastLastOut(last, node);
+        digraph.fastFirstOut(*this, node);
+        digraph.fastLastOut(last, node);
         if (last == *this) *this = INVALID;
       }
@@ -444,8 +444,8 @@
       }
 
-      OutArcIt& operator++() { 
+      OutArcIt& operator++() {
         StaticDigraph::fastNextOut(*this);
         if (last == *this) *this = INVALID;
-        return *this; 
+        return *this;
       }
 
Index: lemon/suurballe.h
===================================================================
--- lemon/suurballe.h	(revision 941)
+++ lemon/suurballe.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -66,5 +66,5 @@
     /// and it must have an \c addBack() function.
     typedef lemon::Path<Digraph> Path;
-    
+
     /// The cross reference type used for the heap.
     typedef typename GR::template NodeMap<int> HeapCrossRef;
@@ -159,5 +159,5 @@
       Node _s;
       Node _t;
-      
+
       PotentialMap _dist;
       std::vector<Node> _proc_nodes;
@@ -168,7 +168,7 @@
       ResidualDijkstra(Suurballe &srb) :
         _graph(srb._graph), _length(srb._length),
-        _flow(*srb._flow), _pi(*srb._potential), _pred(srb._pred), 
+        _flow(*srb._flow), _pi(*srb._potential), _pred(srb._pred),
         _s(srb._s), _t(srb._t), _dist(_graph) {}
-        
+
       // Run the algorithm and return true if a path is found
       // from the source node to the target node.
@@ -178,5 +178,5 @@
 
     private:
-    
+
       // Execute the algorithm for the first time (the flow and potential
       // functions have to be identically zero).
@@ -349,5 +349,5 @@
       typedef Suurballe<GR, LEN, SetPathTraits<T> > Create;
     };
-    
+
     template <typename H, typename CR>
     struct SetHeapTraits : public Traits {
@@ -360,5 +360,5 @@
     ///
     /// \ref named-templ-param "Named parameter" for setting \c Heap
-    /// and \c HeapCrossRef types with automatic allocation. 
+    /// and \c HeapCrossRef types with automatic allocation.
     /// They will be used for internal Dijkstra computations.
     /// The heap type must conform to the \ref lemon::concepts::Heap "Heap"
@@ -398,5 +398,5 @@
     // The pred arc map
     PredMap _pred;
-    
+
     // Data for full init
     PotentialMap *_init_dist;
@@ -556,5 +556,5 @@
       dijk.distMap(*_init_dist).predMap(*_init_pred);
       dijk.run(s);
-      
+
       _full_init = true;
     }
@@ -600,5 +600,5 @@
       _t = t;
       ResidualDijkstra dijkstra(*this);
-      
+
       // Initialization
       for (ArcIt e(_graph); e != INVALID; ++e) {
@@ -614,5 +614,5 @@
           (*_flow)[e] = 1;
           u = _graph.source(e);
-        }        
+        }
         _path_num = 1;
       } else {
Index: lemon/unionfind.h
===================================================================
--- lemon/unionfind.h	(revision 954)
+++ lemon/unionfind.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
